<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\TextAd; 
use App\Enums\TextAdColors;

class TextAdSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $ads = [
            [
                'content' => '本公司可使用觸控螢幕及遙控器點歌,另支援<手機點歌>歡迎多加使用,如有操作問題歡迎洽詢服務人員,超級巨星祝您歡唱愉快!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '如需要使用<歌本>點歌,歡迎洽詢服務人員,超級巨星祝您歡唱愉快!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '本公司設有免費WIFI可供貴賓使用(無需密碼)!歡迎多加利用,超級巨星祝您歡唱愉快!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:如要<續唱>請於歡唱時間<結束前40分鐘>告知服務人員,造成不便敬請見諒!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:凡使用餐飲券進行折抵,每間包廂折抵上限為六百元,造成不便敬請見諒!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:凡持有本公司票券(餐飲券.歡唱抵用券)印有"分店店章"或"限OO店使用"等字樣,即無法用於其他分店,造成不便敬請見諒!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:七折卡會員卡如未填寫使用截止日期,本公司恕不再提供折扣服務,造成不便敬請見諒!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:本公司提供生日.求婚.迎新.送舊,影片播放服務,請於歡唱日期之前三天,洽詢櫃檯人員,超級巨星祝您歡唱愉快!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '親愛的貴賓您好:因本公司寄酒空間有限,即日起寄酒以<三個月>為限,超過期限者本公司有權處理,造成不便敬請見諒!(僅洋酒類享寄酒服務,啤酒類恕不提供)',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '活動消息!來店歡唱FB或IG打卡,即贈送一壺飲料(紅茶.綠茶.熱烏龍茶),打卡後請出示畫面給服務人員確認｡',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '活動消息!當日壽星來店享好禮三選一(莓果調酒.紅酒.什錦水果)及600元餐飲券(可當日使用)｡(優惠活動及各項專案不得合併使用,造成不便敬請見諒!)',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '活動消息!本公司販售擋酒部隊(每包100元)及檳榔(每包50元),如有需要歡迎洽詢服務人員｡',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '依政府法令規定,未滿18歲之青少年,請於23:30前離場,若凌晨12點後,仍有未滿18歲之青少年逗留包廂內,本公司有權利關閉包廂,恕不退費,如父母陪同亦比照上述辦理,敬請顧客配合,造成不便敬請見諒｡',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '依政府法令規定,晚上11點後進場,請務必攜帶實體證件(身分證.健保卡.駕照.護照均可)無實體證件或手機翻拍照片或證件無大頭照者,均不得入場,敬請顧客配合,造成不便敬請見諒｡',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '因應菸害防制法規定,本場所室內全面禁止吸菸(電子菸),違規吸菸者,最高可處新台幣1萬元罰鍰,敬請顧客配合,造成不便敬請見諒｡',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '本公司經衛生局安檢合格通過,使用台灣產豬肉及美國.巴拉圭產牛肉,敬請貴賓安心食用!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '為營造無毒消費環境,讓民眾安心消費,本場所嚴禁毒品,如經發現本公司將立即通報!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '溫馨提醒!酒後不開車,安全有保障!本公司提供代客泊車.駕駛服務,如有需要歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '溫馨提醒!請勿在公共場所打架滋事,以免觸犯法律,若有相關情事,將報警處理,依法送辦!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '溫馨提醒!遠離毒品讓我幫你:0800-770-885(請請您,幫幫我)｡毒害報您知,反毒作伙來｡健康無價,拒做[毒]行俠!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '溫馨提醒!離場時請記得您的隨身物品及貴重物品,超級巨星祝您歡唱愉快!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '招兵買馬!外場服務生、櫃檯、吧檯、泊車、清潔人員皆有職缺!如有意願應徵者歡迎洽詢櫃檯人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '年度大優惠來囉!幸福套餐優惠星期一至星期四08:00~18:59(四小時),19:00~07:59(三小時)(限中包及大包),詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '促銷優惠!年度大優惠<啤酒類>特定品項有現金優惠價;持現金購買<洋酒類>不加收服務費,詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '新品上市!真露淡麗梅酒600元,原味燒酒199元,水蜜桃燒酒199元,青葡萄燒酒199元(另加一成服務費),詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '春夏暢飲,限時特價!星銀海尼根(箱)現金優惠價799元,優惠日期到2025/07/31止詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '新品上市!金牌ONE啤酒一箱899元(另加一成服務費),持現金購買優惠價只要800元,詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '新品上市!蹦迪調酒一壺只要800元,(另加一成服務費)要飲要快,詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '夏日玩啤趣!紅茶或綠茶二選一(無限暢飲)加限定炸物六選二,持現金購買優惠價只要299元(刷卡另加一成服務費),活動日期只到2025/08/31止,詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
            [
                'content' => '夏日玩啤趣!限定啤酒三選一加限定炸物六選二,持現金購買優惠價只要399元(刷卡另加一成服務費),活動日期只到2025/08/31止,詳情歡迎洽詢服務人員!',
                'color' => TextAdColors::White,
            ],
        ];

        foreach ($ads as $ad) {
            TextAd::create([
                'content' => $ad['content'],
                'color' => $ad['color'],
                'duration' => 1,
                'is_active' => true,
            ]);
        }
    }
}
